/*
/////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: outff_32.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:31
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------


/////////////////////////////////////////////////////////////////////////////
*/


`define   _8_bits    2
`define   _16_bits   1
`define   _32_bits   0


module outff_32 (lclk, sysenable, udw, d, q);
  input lclk, sysenable;
  input [1:0] udw;
  input [31:0] d;
  output [31:0] q;

  reg [31:0] q;

  wire clear_31_16, clear_15_8;

  assign clear_31_16 = ((udw == `_8_bits) || (udw == `_16_bits))?1:0;

  assign clear_15_8 = (udw == `_8_bits)?1:0;


  always @(posedge lclk or posedge clear_31_16)
    if (clear_31_16) q[31:16] <= #1 0;
      else if (sysenable) q[31:16] <= #1 d[31:16];
    
  always @(posedge lclk or posedge clear_15_8)
    if (clear_15_8) q[15:8] <= #1 0;
      else if (sysenable) q[15:8] <= #1 d[15:8];

  always @(posedge lclk)
    if (sysenable) q[7:0] <= #1 d[7:0];

endmodule
