/*
/////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: trigger_type.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:43
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------

     Counter used to generate data for the trigger type and ROD BC ID
     fields of the ROB blocks.

/////////////////////////////////////////////////////////////////////////////
*/


module trigger_type (lclk, sysenable, reset, count_up, q);
  input lclk, sysenable, reset, count_up;
  output [31:0] q;
  reg [11:0] counter;

  assign q = {20'b0, counter};
  
  always @(posedge lclk)
    if (sysenable)
      if (reset) counter <= #1 0;
      else if (count_up) counter <= #1 counter + 1;
	
endmodule


