/* @(#)SM_constants.v	4.3

   Project: Altera circuit of SLIDAS 

   File name: SM_constants.v
   Version:   4.2
   Updated:   8/7/99

   Author: Ph. Brodier-Yourstone, ECP division, CERN


   
-------------------------------------------------------------------------------
     SCCS    |          |             |
    Version  |  Author  |  Mod. Date  |          Changes made
-------------------------------------------------------------------------------
     3.1     |   PBY    | 07-04-1997  | - Started SCCS history (but the file
             |          |             | was created some days before)     
	     |		|	      |
     4.2     |	GD	|  8/7/99     | Changed the names of some constants in
             |          |             | accordance with the new data format.
	     |		|	      |
-------------------------------------------------------------------------------



     Module description:
     -------------------

     Definitions of constants used by the state machine modules.

///////////////////////////////////////////////////////////////////////////////
*/




// Values of pattern_switch

`define test_mode        0
`define walking_1        1
`define walking_0        2
`define FFFF_0000        3
`define AAAA_5555        4
`define random_data      5
`define random_no_ctrl   6
`define random_all_ctrl  7
`define ROB_1_length     8
`define ROB_4_lengths    9



//-----------------------------------------------------------------------------
//  Definition of the selection words
//
//  +----------+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+
//  | Bit no.  |  9  |  8  |  7  |  6  |  5  |  4  |  3  |  2  |  1  |  0  |
//  +----------+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+
//  |          |  muxer_   |           |           | data generators in    |
//  | used by: |  merger   |big_muxer0 |big_muxer1 | data_gen (in fact,    |
//  |          |           |           |           | only by look_up_table)|
//  +----------+-----------+-----------+-----------+-----------------------+
//
//  Data words selection

`define sel_walk_and_invert    10'b 1000xxxxxx
`define sel_random_data        10'b 1001xxxxxx
`define sel_predefined_0       10'b 1010xx0000
`define sel_predefined_1       10'b 1010xx0001
`define sel_predefined_2       10'b 1010xx0010
`define sel_predefined_3       10'b 1010xx0011
`define sel_predefined_4       10'b 1010xx0100
`define header_size	       10'b 1010xx0101
`define header_start	       10'b 1010xx0110
`define source_ID	       10'b 1010xx0111
`define Start_of_Block_data    10'b 1010xx1000
`define Format_Version_Number  10'b 1010xx1001
`define detector_event_type    10'b 1010xx1010
`define sel_predefined_b       10'b 1010xx1011
`define End_of_Block_data      10'b 1010xx1100
`define sel_predefined_d       10'b 1010xx1101
`define sel_predefined_e       10'b 1010xx1110
`define sel_predefined_f       10'b 1010xx1111
`define sel_block_count        10'b 1011xxxxxx
`define sel_trigger_type       10'b 01xx00xxxx
`define sel_incr_data          10'b 01xx01xxxx
`define sel_block_length       10'b 01xx11xxxx


//  Values selected in look_up_table.v
//      sel_predefined_0       =  index number 0
//      sel_predefined_1       =  index number 1
//      sel_predefined_2       =  index number 2
//      sel_predefined_3       =  index number 3
//      sel_predefined_4       =  index number 4
//      header_size	       =  index number 5
//      header_start	       =  index number 6
//      source_ID	       =  index number 7
//      Start_of_Block_data    =  index number 8
//      Format_Version_Number  =  index number 9
//      detector_event_type    =  index number 10
//      sel_predefined_b       =  index number 11
//      End_of_Block_data      =  index number 12
//      sel_predefined_d       =  index number 13
//      sel_predefined_e       =  index number 14
//      sel_predefined_f       =  index number 15



 
//  Control words selection

`define sel_random_ctrl        10'b 110110xxxx
`define sel_control_word_0     10'b 1110100000
`define sel_control_word_1     10'b 1110100001
`define sel_control_word_2     10'b 1110100010
`define sel_control_word_3     10'b 1110100011
`define sel_control_word_4     10'b 1110100100
`define sel_control_word_5     10'b 1110100101
`define sel_control_word_6     10'b 1110100110
`define sel_control_word_7     10'b 1110100111
`define Start_of_Block         10'b 1110101000
`define sel_control_word_9     10'b 1110101001
`define sel_control_word_a     10'b 1110101010
`define sel_control_word_b     10'b 1110101011
`define End_of_Block           10'b 1110101100
`define sel_control_word_d     10'b 1110101101
`define sel_control_word_e     10'b 1110101110
`define sel_control_word_f     10'b 1110101111
