`include "altera4.v"

module altera_simulation;

  reg clk66;

  reg async_inj_err2, async_inj_err3, async_step2, async_step3;
  reg async_ldown2, async_ldown3, async_data_err2, async_data_err3;
  reg async_ctrl_err2, async_ctrl_err3, async_femb2, async_femb3;
  reg async_block2, async_block3;
  
  reg [3:0] async_pattern_switch, async_duty_switch;
  reg [3:0] async_speed_switch, async_length_switch;

  reg lemo_step;
  reg pattern_gen_0_, pattern_gen_3_, pattern_gen_4_, pattern_gen_5_, 
		 pattern_gen_6_, pattern_gen_7_;


  wire [31:0] ld;

  reg uxoff_n, ureset_n, utdo_n;
  reg [1:0] udw;
  wire lctrl_n, lwen_n, lderr_n;
  reg [3:0] url;
  wire ldown_n;

  wire lclk_led, uxoff_led, reset_led, utdo_led;
  wire lctrl_led, lwen_led, lderr_led, ldown_led, run_led, res2_led,
       inj_err_led;

  altera d_u_t  (clk66, lclk, lclk,
                 async_inj_err2, async_inj_err3,
		 async_step2,     async_step3,
		 async_ldown2,    async_ldown3,
		 async_data_err2, async_data_err3,
		 async_ctrl_err2, async_ctrl_err3,
		 async_femb2,     async_femb3,
		 async_block2,    async_block3,
		 async_pattern_switch, async_duty_switch,
		 async_speed_switch, async_length_switch,
		 lemo_step,
		 pattern_gen_0_, pattern_gen_1_, pattern_gen_2_,
		 pattern_gen_3_, pattern_gen_4_, pattern_gen_5_, 
		 pattern_gen_6_, pattern_gen_7_, 
		 ld, uxoff_n, ureset_n, utdo_n, udw,
		 lctrl_n, lwen_n, lderr_n, url, ldown_n,
		 lclk_led, uxoff_led, reset_led, utdo_led,
		 lctrl_led, lwen_led, lderr_led, ldown_led,
		 run_led, res2_led, inj_err_led);

`include "tasks.v"

  always #10 clk66 = ~clk66;

  initial begin
    clk66                = 0;

//push buttons

    async_inj_err2       = 0;
    async_inj_err3       = 1;
    async_step2          = 0;
    async_step3          = 1;

//switches

    async_ldown2         = 1;
    async_ldown3         = 0;
    async_data_err2      = 1;
    async_data_err3      = 0;
    async_ctrl_err2      = 1;
    async_ctrl_err3      = 0;
    async_femb2          = 1;
    async_femb3          = 0;
    async_block2         = 1;
    async_block3         = 0;


    async_pattern_switch = 4'h f;
    async_duty_switch    = 4'h f;
    async_speed_switch   = 4'h f;
    async_length_switch  = 4'h f;

    lemo_step            = 0;

    pattern_gen_0_        = 1;

/* Bit 0 of the pattern generator says whether the pattern jumper 
is on or not.  If the pattern jumper is on, the begining of block
data word is 11111111 instead of b0f00000, and similarly the end 
of block data word becomes ffffffff.  */

    pattern_gen_3_       = 0;
    pattern_gen_4_       = 0;
    pattern_gen_5_       = 0;
    pattern_gen_6_       = 0;
    pattern_gen_7_       = 0;


    uxoff_n              = 1;
    ureset_n             = 1;
    utdo_n               = 1;
    udw                  = 0;
    url                  = 0;

    d_u_t.clock_gen1.int_clks = 0;
    d_u_t.ldown_gen1.ldown_state = 0;
    d_u_t.p_o_r.power_on_counter = 0;
  end

  
	      




