/*
///////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: lderr_pipe.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:26
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------


///////////////////////////////////////////////////////////////////////////////
*/


module lderr_pipe (lclk, sysenable, pipe_reset, int_lderr, lderr_n);
  input lclk, sysenable, pipe_reset, int_lderr;
  output lderr_n;

  reg lderr3, lderr4;
  wire int_lderr_n, lderr_n;
  
  
  always @(posedge lclk) begin
    if (sysenable) lderr3  <= #1 pipe_reset? 0 : int_lderr;
    if (sysenable) lderr4  <= #1 pipe_reset? 0 : lderr3;
  end

  
assign #1 int_lderr_n = pipe_reset? 1 : ~lderr4;


//  output register, to be placed in the I/O cell.

  ff_w_enable ff_lwen (lclk, lderr_n, int_lderr_n, sysenable);

  
/*      if (pipe_reset)
	begin
	  lderr3 <= #1 0;
	  lderr4 <= #1 0;
	  lderr_n <= #1 1;
	end
      else
     	begin
	  lderr3 <= #1 int_lderr;
	  lderr4 <= #1 lderr3;
	  lderr_n <= #1 ~lderr4;
	end */
endmodule


/*
`ifdef exemplar
    // if during compilation with Galileo

module ff_w_enable (lclk, out, in, enable);
  input lclk, in, enable;
  output out;
endmodule

`else
// this line should be uncommented if you want to do simulation at a lower
// level than altera.v
// `include "ff_w_enable.v"
`endif
*/

