`include "altera_prologue.vh"

always #314 @(posedge lclk) uxoff_n <= #2 ~uxoff_n;

initial begin

  utdo_n = 0;
  #100 async_speed_switch = ~(4'd 0);
  async_pattern_switch = ~(4'd 1);
  async_length_switch = ~(4'd 3);
  async_duty_switch = ~(4'd 0);
  #123 ureset_n        = 0;
  
  #130 ureset_n = 1;

  data_on;
  ctrl_on;
  block_off;
  femb_on;

  
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  
  #123 ureset_n        = 0;
  
  #130 ureset_n = 1;


  #2000 step_pulse;
  #200 step_pulse;
//  #1600 step_pulse;
  #1600 error_pulse;
  #100 error_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #200 step_pulse;
  #3000 $stop;
end

//always #500 uxoff_n = ~uxoff_n;

  
always @(posedge lclk) $display(
  "step:", d_u_t.step,
  "  err:", d_u_t.inj_err,
/*  "  int_ctl ", d_u_t.data_gen1.error_gen_gen.int_ctrl,
  "  derr ", d_u_t.data_gen1.error_gen_gen.data_err,
  "  cerr ", d_u_t.data_gen1.error_gen_gen.ctrl_err,
  "  bb ", d_u_t.data_gen1.error_gen_gen.block_basis,
  "  int_lder ", d_u_t.data_gen1.error_gen_gen.int_lderr,*/
  "  counter ", d_u_t.data_gen1.error_gen_gen.counter,
  "  lderr:", lderr_n,
  " uxoff ", uxoff_n,
  "  lwen:", lwen_n,
  "  pipe_res ", d_u_t.data_gen1.lwen_pipe1.pipe_reset,
  "  ld:%h", ld,
  "  lctrl:", lctrl_n,
  );
  
initial $gr_waves(
  "External:  lclk ", lclk,
  "  ureset_n ", ureset_n,
  "  uxoff_n", uxoff_n,
  "  ldown_n", ldown_n,
  "  bl_len%h", d_u_t.block_length,
  "  Int: ldown:", d_u_t.ldown,
  "  step:", d_u_t.step,
  "  err:", d_u_t.inj_err,
  "err_res", d_u_t.error_gen_reset,
  "err_en", d_u_t.error_gen_enable,
  "start", d_u_t.error_gen_start,
  "lctrl", d_u_t.data_gen1.int_lctrl,
  "ctrl_e", d_u_t.ctrl_err,
  "data_e", d_u_t.data_err,
  "block", d_u_t.block,
  "lderr", d_u_t.data_gen1.int_lderr,
  "q", d_u_t.data_gen1.error_gen_q,
  "pend_e1", d_u_t.data_gen1.error_gen_gen.pending_error1,
  "pend_e0", d_u_t.data_gen1.error_gen_gen.pending_error0,
  "gen_err", d_u_t.data_gen1.error_gen_gen.generate_error,
  "count", d_u_t.data_gen1.error_gen_gen.counter,

  
  "  sysen", d_u_t.state_machine1.sysenable,
  "  clk_en", d_u_t.state_machine1.clock_enable,
  "  running:", d_u_t.state_machine1.running
  );


  
endmodule



