`include "altera_prologue.vh"

task uxoff_sequence;
  begin
    @(posedge lclk) #20 uxoff_on;
    repeat (6) @(posedge lclk);
    @(posedge lclk) #20 uxoff_off;
    @(posedge lclk) #20 uxoff_on;
    @(posedge lclk) #20 uxoff_off;
    repeat (6) @(posedge lclk);
  end
endtask

initial begin
  #100 async_speed_switch = ~(4'd 0);
  async_pattern_switch = ~(4'd 0);
  async_length_switch = ~(4'd 2);
  async_duty_switch = ~(4'd 0);

  data_on;
  ctrl_on;
  block_off;
  femb_on;

  
  #200 step_pulse;

  
  #30000 $stop;
end


always #400 uxoff_sequence;

always #1546 begin
  ldown_on;
  #123 ldown_off;
end

//always @(negedge ldown_n) begin
//  #200 ureset_n = 0;
//  @(posedge ldown_n) #100 ureset_n = 1;
//end

always #70 error_pulse;

  
always @(posedge lclk) $display(
  "ldown_n ", ldown_n,

  " utdo ", d_u_t.utdo,
  " pat_sw ", d_u_t.pattern_switch,
  " SMR ", d_u_t.state_machine1.state_machine_reset,
  " sysres ", d_u_t.state_machine1.sysreset,
  " NITM ", d_u_t.state_machine1.not_in_test_mode,
  " ures ", d_u_t.state_machine1.ureset,
  
  "  lwen:", lwen_n,
  "  ld:%h", ld,
  "  lctrl:", lctrl_n,
  "  uxoff_n:", uxoff_n,
  "  sysen ", d_u_t.sysenable
  );
  
/*initial $gr_waves(
  "External:  lclk ", lclk,
  "  ureset_n ", ureset_n,
  "  uxoff_n", uxoff_n,
  "  ldown_n", ldown_n,
  "  bl_len%h", d_u_t.block_length,
  "  Int: ldown:", d_u_t.ldown,
  "  step:", d_u_t.step,
  "  sysen", d_u_t.state_machine1.sysenable,
  "  clk_en", d_u_t.state_machine1.clock_enable,
  "  running:", d_u_t.state_machine1.running,
  "  len_0", d_u_t.state_machine1.length_is_0,
  "  len_1", d_u_t.state_machine1.length_is_1,
  "  BLhbi0", d_u_t.word_counter1.BL_hi_byte_is_0,
  "  BLlbi1", d_u_t.word_counter1.BL_lo_byte_is_4,
  "  LChbi0", d_u_t.word_counter1.LC_hi_byte_is_0,
  "  LClbi1", d_u_t.word_counter1.LC_lo_byte_is_1,
  "  WCR", d_u_t.word_counter1.word_count_reset,
  "  WCE", d_u_t.word_counter1.word_count_en,
  "  LenCou%h", d_u_t.word_counter1.length_counter,
  
  "  EOB", d_u_t.state_machine1.end_of_block,
  "  utdo", d_u_t.state_machine1.utdo,
  "  state:%h", d_u_t.state_machine1.state,
  "  next_st%h", d_u_t.state_machine1.next_state,
  "  SM_res", d_u_t.state_machine1.state_machine_reset,
  "  rand_res", d_u_t.random_reset

  );*/


  
endmodule



