`include "altera_prologue.vh"


initial begin
  #100 async_speed_switch = ~(4'd 1);
  async_pattern_switch = ~(4'd 5);
  async_length_switch = ~(4'd 3);
  async_duty_switch = ~(4'd 3);
  #123 ureset_n        = 0;
  
  @(posedge ldown_n) #130 ureset_n = 1;

  data_on;
  ctrl_on;
  block_off;

  
  #200 step_pulse;

  
//  #200 async_step2 = 1;
//  #10 async_step3 = 0;
//  #100 async_step3 = 1;
//  #10 async_step2 = 0;
  #1600 step_pulse;
  #1600 step_pulse;
  #1600 error_pulse;
  #1600 step_pulse;
  #300  ldown_on;
  #300  ldown_off;
  #1600 step_pulse;
  #1600 step_pulse;
  #1600 step_pulse;
  #1600 step_pulse;
  #3000 $stop;
end

//always #500 uxoff_n = ~uxoff_n;

  
always @(posedge lclk) $display(
  "External:  lclk ", lclk,
  "  step:", d_u_t.step,
  "  lwen:", lwen_n,
  "  ld:%h", ld,
  "  lctrl:", lctrl_n,
  "  uxoff_n:", uxoff_n
  );
  
initial $gr_waves(
  "External:  lclk ", lclk,
  "  ureset_n ", ureset_n,
  "  Int: ldown:", d_u_t.ldown,
  "step2", d_u_t.async_step2,
  "step3", d_u_t.async_step3,
  "step_d", d_u_t.switches1.step_d,
  "step_l", d_u_t.switches1.step_l,
  "step_s", d_u_t.switches1.step_s,
  "  step:", d_u_t.step,
  "  WCR", d_u_t.word_counter1.word_count_reset,
  "  WCE", d_u_t.word_counter1.word_count_en,
  "  LenCou%h", d_u_t.word_counter1.length_counter,
  
  "  EOB", d_u_t.state_machine1.end_of_block,
  "  utdo", d_u_t.state_machine1.utdo,
  "  state:%h", d_u_t.state_machine1.state,
  "  next_st%h", d_u_t.state_machine1.next_state,
  "  SM_res", d_u_t.state_machine1.state_machine_reset,
  "  rand_res", d_u_t.random_reset

  );


  
endmodule



