`include "altera_prologue.vh"


initial begin
  utdo_on;
  femb_on;
  jumper_off;
  
  #100 async_speed_switch = ~4'h0; // fastest
  async_pattern_switch = ~4'h9; // ROB_4_lengths
  async_length_switch = ~4'h5;     // 256 words
  async_duty_switch = ~4'h4; // every 4

end



always @(negedge ldown_n) begin
  if (async_pattern_switch != ~4'h0) begin
    #200 ureset_on;
    @(posedge ldown_n) #200 ureset_off;
  end
end



initial begin
  
// Send a 256-word block
$display ("A 256-word block");
  #200 step_pulse;
  
end
always @(posedge lclk) if (ld == 32'he1000000) #100 $stop;

always @(posedge lclk)
  if (ld == 32'h9f) begin
    uxoff_on;
    repeat (5) @(posedge lclk);
    @(posedge lclk) uxoff_off;
  end
    
  
  

always @(posedge lclk) $display(
  " EOB ", d_u_t.end_of_block,
  " selSM4 %b ", d_u_t.state_machine1.SM4.selection,
  " sel %b ", d_u_t.selection,
  " new_block: ", d_u_t.new_block,
  " BL: %h ", d_u_t.block_length,
  " sysen: ", d_u_t.sysenable,
  " CE ", d_u_t.clock_enable,
  " step:", d_u_t.step,
  " L_SM1 ", d_u_t.state_machine1.SM1.run_led,
  " L_SM2 ", d_u_t.state_machine1.SM2.run_led,
  " L_SM3 ", d_u_t.state_machine1.SM3.run_led,
  " L_SM4 ", d_u_t.state_machine1.SM4.run_led,
  " LEDWOR ", d_u_t.state_machine1.wor_run_led,
  " LED_SM ", d_u_t.state_machine1.run_led,
  " LED ", run_led,
  " lwen:", lwen_n,
  " ld:%h", ld,
  " lctrl: ", lctrl_n,
  " WC_res ", d_u_t.word_count_reset,
  " WC_ena ", d_u_t.word_count_enable,
  " EOB ", d_u_t.end_of_block,
  " femb ", d_u_t.femb
  );
  
/* initial $gr_waves(
  "External:  lclk ", lclk,
  "  ureset_n ", ureset_n,
  "  ldown_n ", ldown_n,
  "  bl_len%h", d_u_t.block_length,
  "  Int: ldown:", d_u_t.ldown,
  "  step:", d_u_t.step,
  "  sysen", d_u_t.state_machine1.sysenable,
  "  clk_en", d_u_t.state_machine1.clock_enable,
  "  running:", d_u_t.state_machine1.running,
  "  len_0", d_u_t.state_machine1.length_is_0,
  "  len_1", d_u_t.state_machine1.length_is_1,
  "  WCR", d_u_t.word_counter1.word_count_reset,
  "  WCE", d_u_t.word_counter1.word_count_en,
  "  LenCou%h", d_u_t.word_counter1.length_counter,
  "  EOB", d_u_t.state_machine1.end_of_block,
  "  select%b", d_u_t.selection,
  "  state:%h", d_u_t.state_machine1.SM1.state,
  "dat_ctr", d_u_t.data_gen1.data_counter_q,
  "DC_res", d_u_t.data_gen1.data_counter_reset,
  "DC_en", d_u_t.data_gen1.data_counter_enable
  ); */


  
endmodule



