`include "altera_prologue.vh"


initial begin
  utdo_on;
  femb_on;
  jumper_off;
  
  #100 async_speed_switch = ~4'h0; // fastest
  async_pattern_switch = ~4'h1; // walking 1
  async_length_switch = ~4'h3;     // 16 words
  async_duty_switch = ~4'h3; // single block

  

end

always @(negedge ldown_n) begin
  if (async_pattern_switch != ~4'h0) begin
    #200 ureset_on;
    @(posedge ldown_n) #200 ureset_off;
  end
end
    
initial begin
  
$display ("A 0-word block");
  #1400 async_length_switch = ~4'h0;     // 0 words
  #200 step_pulse;
  
  repeat (5) @(posedge lclk);
    $stop;
// Send a 1-word block
$display ("A 1-word block");
  #400 async_length_switch = ~4'h1;     // 1 word
  #200 step_pulse;

  repeat (5) @(posedge lclk);
    $stop;
// Send a 4-word block
$display ("A 4-word block");
  #400 async_length_switch = ~4'h2;     // 4 words
  #200 step_pulse;

  repeat (15) @(posedge lclk);
    $stop;
// Send a 16-word block
$display ("A 16-word block");
  #400 async_length_switch = ~4'h3;     // 16 words
  #200 step_pulse;

  repeat (25) @(posedge lclk);
    $stop;
// Send a 64-word block
$display ("A 64-word block");
  #400 async_length_switch = ~4'h4;     // 64 words
  #200 step_pulse;

  repeat (75) @(posedge lclk);
    $stop;
  
end
  

always @(posedge lclk) $display(
  "External:  lclk ", lclk,
  " sysr ", d_u_t.state_machine1.sysreset,
  " ures ", d_u_t.state_machine1.ureset,
  " ldn ", d_u_t.state_machine1.ldown_n,
  " POR ", d_u_t.state_machine1.power_on_reset_n,
  " SMR ", d_u_t.state_machine1.state_machine_reset,
  " EOB ", d_u_t.end_of_block,
  " sel %b ", d_u_t.state_machine1.SM2.selection,
  " CE ", d_u_t.clock_enable,
  " step:", d_u_t.step,
  " lwen:", lwen_n,
  " ld:%h", ld,
  " lctrl: ", lctrl_n,
  " WC_res ", d_u_t.word_count_reset,
  " WC_ena ", d_u_t.word_count_enable,
  " EOB ", d_u_t.end_of_block,
  " femb ", d_u_t.femb
  );
  
/* initial $gr_waves(
  "External:  lclk ", lclk,
  "  ureset_n ", ureset_n,
  "  ldown_n ", ldown_n,
  "  bl_len%h", d_u_t.block_length,
  "  Int: ldown:", d_u_t.ldown,
  "  step:", d_u_t.step,
  "  sysen", d_u_t.state_machine1.sysenable,
  "  clk_en", d_u_t.state_machine1.clock_enable,
  "  running:", d_u_t.state_machine1.running,
  "  len_0", d_u_t.state_machine1.length_is_0,
  "  len_1", d_u_t.state_machine1.length_is_1,
  "  WCR", d_u_t.word_counter1.word_count_reset,
  "  WCE", d_u_t.word_counter1.word_count_en,
  "  LenCou%h", d_u_t.word_counter1.length_counter,
  "  EOB", d_u_t.state_machine1.end_of_block,
  "  select%b", d_u_t.selection,
  "  state:%h", d_u_t.state_machine1.SM1.state,
  "dat_ctr", d_u_t.data_gen1.data_counter_q,
  "DC_res", d_u_t.data_gen1.data_counter_reset,
  "DC_en", d_u_t.data_gen1.data_counter_enable
  ); */


  
endmodule



