/*
/////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: sync_pulse.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:40
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------


/////////////////////////////////////////////////////////////////////////////
*/


/*====================================================================
This module creates a pulse out of the low-to-high transition of
a synchronous signal.
======================================================================
*/

module sync_pulse(lclk, out, in);
  input lclk, in;
  output out;

  reg int_s1, out;
  
  always @(posedge lclk) begin
    int_s1 <= #1 in;
    out    <= #1 in & ~int_s1;
  end
endmodule

