`include "trigger_count_controller.v"
`include "internal_trigger.v"
`include "duty_controller2.v"
`include "sync_level.v"
`include "sync_pulse.v"
`include "edge_latch.v"

module trig_control_sim;

  reg clk66, lclk, sysreset, ureset, switch_step, lemo_step, 
      block_sent;
  reg [3:0] duty_switch, speed_switch;
  
  
  always #2 clk66 = ~clk66;
  always #10 lclk  = ~lclk;
  //always #200 lemo_step      = ~lemo_step;
  //always #20000 lemo_step    = ~lemo_step;
  always #100 block_sent   = ~block_sent;
  
  initial begin
    clk66            = 0;
    lclk             = 0;
    sysreset         = 1;
    #100 sysreset    = 0;
    ureset           = 0;
    lemo_step        = 0;
    #100 lemo_step   = 1;
    switch_step      = 0;
    block_sent       = 0;
    duty_switch      = (4'd 9);
    speed_switch     = (4'd 1);
    #2000000 $stop;
  end

internal_trigger trig1(clk66, duty_switch, sysreset, ureset,    
			internal_trigger);


trigger_count_controller control1(lclk, sysreset, ureset, internal_trigger, 
				 switch_step, lemo_step, block_sent, 
				 duty_switch, speed_switch, 
				 trigger_out, busy, full, overflow);

duty_controller2 duty(lclk, sysreset, ureset, duty_switch, switch_step,
                        lemo_step, trigger_out, clock_enable, running);



always @(posedge lclk) $display("out: ", trigger_out, " busy: ", busy, 
				" full: ", full, 
				" overflow: ", overflow, " enable: ", 
				clock_enable, " running: ", running);

endmodule
