/*
///////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: big_multiplexer.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:16
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------

     Implementation of a clocked 4-to-1 multiplexer for 32-bit busses.

///////////////////////////////////////////////////////////////////////////////
*/


module big_multiplexer (lclk, sysenable, sel, in0, in1, in2, in3, q);
  input lclk, sysenable;
  input [1:0] sel;
  input [31:0] in0, in1, in2, in3;
  output [31:0] q;
  reg [31:0] next_q;
  wire [31:0] q;

  ff_w_enable_32 ff_big_multiplexer (lclk, q, next_q, sysenable);

  always @(sel or in0 or in1 or in2 or in3)
    case (sel)
      0:  next_q <= in0;
      1:  next_q <= in1;
      2:  next_q <= in2;
      3:  next_q <= in3;
    endcase
endmodule


/*
`ifdef exemplar
    // if during compilation with Galileo

module ff_w_enable_32 (lclk, out, in, enable);
  input lclk, enable;
  input [31:0] in;
  output [31:0] out;
endmodule

`else
// this line should be uncommented if you want to do simulation at a lower
// level than altera.v
// `include "ff_w_enable.v"
`endif

*/
