/* @(#)ff_w_enable_32.v	4.2

   Project: Altera circuit of SLIDAS 

   File name: ff_w_enable_32.v
   Version:   4.2
   Updated:   99/08/26 13:56:24

   Author: Ph. Brodier-Yourstone, ECP division, CERN


   
-------------------------------------------------------------------------------
     SCCS    |          |             |
    Version  |  Author  |  Mod. Date  |          Changes made
-------------------------------------------------------------------------------
     3.1     |   PBY    | 06-04-1997  | - Started SCCS history (but the file
             |          |             | was created some days before)     
             |          |             |
-------------------------------------------------------------------------------



     Module description:
     -------------------

     32 Flip-flops with enable. This module is needed to separate a clock
     enable signal from other logic in higher-level modules.

     Used normally (or always) to force sysenable to be mapped to the
     clock enable input of the Altera's flip-flops.

///////////////////////////////////////////////////////////////////////////////
*/


module ff_w_enable_32 (lclk, out, in, enable);
  input lclk, enable;
  input  [31:0] in;
  output [31:0] out;

  reg [31:0] out;

  always @(posedge lclk)
    if (enable) out <= #1 in;

endmodule
