/*
///////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: lctrl_pipe.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:25
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------


///////////////////////////////////////////////////////////////////////////////
*/


module lctrl_pipe (lclk, sysenable, pipe_reset, int_lctrl, lctrl_n);
  input lclk, sysenable, pipe_reset, int_lctrl;
  output lctrl_n;

  reg  lctrl2, lctrl3, lctrl4;
  wire int_lctrl_n, lctrl_n;

//-----------------------------------------------------------------------------
//  The following block 

  
  always @(posedge lclk)
    if (sysenable) begin
      lctrl2  <= #1 pipe_reset? 0 : int_lctrl;
      lctrl3  <= #1 pipe_reset? 0 : lctrl2;
      lctrl4  <= #1 pipe_reset? 0 : lctrl3;
    end

  assign #1 int_lctrl_n = pipe_reset? 1 : ~lctrl4;


//  output register, to be placed in the I/O cell.

  ff_w_enable ff_lwen (lclk, lctrl_n, int_lctrl_n, sysenable);
    
      
endmodule

/*
`ifdef exemplar
    // if during compilation with Galileo

module ff_w_enable (lclk, out, in, enable);
  input lclk, in, enable;
  output out;
endmodule

`else
// this line should be uncommented if you want to do simulation at a lower
// level than altera.v
// `include "ff_w_enable.v"
`endif
*/
