/*
/////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: utdo_sampler.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:44
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------

     This module samples the value of the line UTDO# at the end of a reset
     cycle (when URESET# goes from 0 to 1).

/////////////////////////////////////////////////////////////////////////////
*/


module utdo_sampler (lclk, utdo_n, ureset, utdo);
  input lclk, utdo_n, ureset;
  output utdo;

  reg utdo;

  reg ureset_s1;


  always @(posedge lclk) ureset_s1 <= #1 ureset;

  always @(posedge lclk) if (~ureset & ureset_s1) utdo <= #1 ~utdo_n;

endmodule

      
