/*
///////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: debouncer.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:20
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------

     This is the classic debouncing circuit using two NAND gates.

///////////////////////////////////////////////////////////////////////////////


========================================================================

This module debounces the signal coming from a three-pin switch.

(common signal tied to GND and the other signals pulled up)

          __ i1
   GND __/
          __ i2

i1 is connected to GND in the switch's idle position.

========================================================================
*/

module debouncer(out, i1, i2);
  input i1, i2;
  output out;

  nand(out, i2, out_b);
  nand(out_b, out, i1);

endmodule

