/*
///////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: detect_change.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:21
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------
     
     This module detects if the 4-bit input signal has changed. It is used
     to tell if the user has changed the position of a rotary switch.

///////////////////////////////////////////////////////////////////////////////
*/


module detect_change(lclk, detected_change, in);
  input lclk;
  input [3:0] in;
  output detected_change;

  reg detected_change;
  reg [3:0] in_s;

  always @(posedge lclk) in_s <= #1 in;

  always @(posedge lclk) detected_change <= #1
    (in_s != in)?1:0;

endmodule
