/* @(#)sync_level.v	4.2

   Project: Altera circuit of SLIDAS 

   File name: sync_level.v
   Version:   4.2
   Updated:   99/08/26 13:56:40

   Author: Ph. Brodier-Yourstone, ECP division, CERN


   
-------------------------------------------------------------------------------
     SCCS    |          |             |
    Version  |  Author  |  Mod. Date  |          Changes made
-------------------------------------------------------------------------------
     1.1     |   PBY    | 14-02-1997  | - Started SCCS history (but the file
             |          |             | was created some days before)     
             |          |             |
     1.2     |   PBY    | 28-02-1997  | - Added one flip-flop.
             |          |             |
     1.3     |   PBY    | 05-03-1997  | - Added comment header
             |          |             |
     1.4     |   PBY    | 06-04-1997  | - Added more comments
             |          |             |
-------------------------------------------------------------------------------



     Module description:
     -------------------
     
     This module synchronises an asynchronous signal

/////////////////////////////////////////////////////////////////////////////
*/



module sync_level(lclk, out, in);
  input lclk, in;
  output out;

  reg int_s1, int_s2, out;
  
  always @(posedge lclk) begin   // An additional flip-flop was added for
    int_s1 <= #1 in;             // a specific reason, but I don't remember
    int_s2 <= #1 int_s1;         // why. So, you have to have 3 flip-flops
    out    <= #1 int_s2;         // instead of 2. Possibly makes reset of
  end                            // previous stage easier.
  
endmodule

