/*
/////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: sync_rotary.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:41
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------
     
     This module provides a one-clock syncronisation to a 4-bit signal.
     It is used to synchronise the signals from the rotary switches.

     The input is inverted since the rotary switches have inverted logic
     (they show 1111 for 0 and 0101 for 0xa, for example)


/////////////////////////////////////////////////////////////////////////////
*/



module sync_rotary(clk, out, in);
  input clk;
  input [3:0] in;
  output [3:0] out;

  reg [3:0] out;

  always @(posedge clk) out <= #1 ~in;

endmodule
